import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiComputeUserUpdateResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeUserUpdateProtocol(_base.BasePostAPIFunctionProtocol):
    def user_update(
        self,
        *,
        vm_id: int,
        user_name: str,
        access_type: _nested.AccessTypeForSet,
    ) -> CloudapiComputeUserUpdateResultBool:
        ...
